package com.qmth.cqb.paper.dto;

import java.io.Serializable;

import cn.com.qmth.examcloud.common.util.excel.ExcelProperty;

/**
 * @author  	chenken
 * @date    	2017年7月18日 上午10:59:49
 * @company 	QMTH
 * @description 客观题数据--用于Excel导出
 */
public class ObjectiveQuestionStructure implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -4064781474344761068L;
	/**
	 * 课程代码
	 */
	@ExcelProperty(name="课程代码",index = 0)
	private String courseNo;
	/**
	 * 课程名称
	 */
	@ExcelProperty(name="课程名称",index = 1)
	private String courseName;
	/**
	 * 大题号
	 */
	@ExcelProperty(name="大题号",index = 2)
	private Integer bigQuestionNo;
	/**
	 * 小题号
	 */
	@ExcelProperty(name="小题号",index = 3)
	private Integer smallQuestionNo;
	/**
	 * 题目类型
	 */
	@ExcelProperty(name="题目类型",index = 4)
	private String questionType;
	/**
	 * 标准答案
	 */
	@ExcelProperty(name="标准答案",index = 5)
	private String answer;
	/**
	 * 小题分数
	 */
	@ExcelProperty(name="小题分数",index = 6)
	private Double smallQuestionScore;
	
	public ObjectiveQuestionStructure(){}
	
	public ObjectiveQuestionStructure(PaperExp paperExp,PaperDetailExp paperDetailExp,PaperDetailUnitExp unit){
		this.courseNo = paperExp.getCourseNo();
		this.courseName = paperExp.getCourseName();
		this.bigQuestionNo = paperDetailExp.getNumber();
		this.questionType = unit.getQuestionType().getName();
		this.smallQuestionNo = unit.getNumber();
		this.smallQuestionScore = unit.getScore();
		this.answer = unit.getQuestion().getQuesAnswer();
	}
	
	
	public String getCourseNo() {
		return courseNo;
	}
	public void setCourseNo(String courseNo) {
		this.courseNo = courseNo;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Integer getBigQuestionNo() {
		return bigQuestionNo;
	}
	public void setBigQuestionNo(Integer bigQuestionNo) {
		this.bigQuestionNo = bigQuestionNo;
	}
	public Integer getSmallQuestionNo() {
		return smallQuestionNo;
	}
	public void setSmallQuestionNo(Integer smallQuestionNo) {
		this.smallQuestionNo = smallQuestionNo;
	}
	public String getQuestionType() {
		return questionType;
	}
	public void setQuestionType(String questionType) {
		this.questionType = questionType;
	}
	public String getAnswer() {
		return answer;
	}
	public void setAnswer(String answer) {
		this.answer = answer;
	}
	public Double getSmallQuestionScore() {
		return smallQuestionScore;
	}
	public void setSmallQuestionScore(Double smallQuestionScore) {
		this.smallQuestionScore = smallQuestionScore;
	}
	
}

