package com.qmth.cqb.paper.dto;

import java.io.Serializable;

import cn.com.qmth.examcloud.common.util.excel.ExcelProperty;

/**
 * @author  	chenken
 * @date    	2017年7月18日 上午10:51:54
 * @company 	QMTH
 * @description 主观题数据--用于Excel导出
 */
public class SubjectiveQuestionStructure implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1130718763453256519L;
	/**
	 * 课程代码
	 */
	@ExcelProperty(name="科目代码",index = 0)
	private String courseNo;
	/**
	 * 课程名称
	 */
	@ExcelProperty(name="科目名称",index = 1)
	private String courseName;
	/**
	 * 大题号
	 */
	@ExcelProperty(name="大题号",index = 2)
	private Integer bigQuestionNo;
	/**
	 * 大题名称
	 */
	@ExcelProperty(name="大题名称",index = 3)
	private String bigQuestionName;
	/**
	 * 小题号
	 */
	@ExcelProperty(name="小题号",index = 4)
	private Integer smallQuestionNo;
	/**
	 * 大题总分
	 */
	@ExcelProperty(name="大题总分",index = 5)
	private Double bigQuestionScore;
	
	public SubjectiveQuestionStructure(){}
	
	public SubjectiveQuestionStructure(PaperExp paperExp,PaperDetailExp paperDetailExp,PaperDetailUnitExp unit){
		this.courseNo = paperExp.getCourseNo();
		this.courseName = paperExp.getCourseName();
		this.bigQuestionNo = paperDetailExp.getNumber();
		this.bigQuestionName = paperDetailExp.getName();
		this.smallQuestionNo = unit.getNumber();
		this.bigQuestionScore = paperDetailExp.getScore();
	}
	
	
	public String getCourseNo() {
		return courseNo;
	}
	public void setCourseNo(String courseNo) {
		this.courseNo = courseNo;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Integer getBigQuestionNo() {
		return bigQuestionNo;
	}
	public void setBigQuestionNo(Integer bigQuestionNo) {
		this.bigQuestionNo = bigQuestionNo;
	}
	public String getBigQuestionName() {
		return bigQuestionName;
	}
	public void setBigQuestionName(String bigQuestionName) {
		this.bigQuestionName = bigQuestionName;
	}
	public Integer getSmallQuestionNo() {
		return smallQuestionNo;
	}
	public void setSmallQuestionNo(Integer smallQuestionNo) {
		this.smallQuestionNo = smallQuestionNo;
	}
	public Double getBigQuestionScore() {
		return bigQuestionScore;
	}
	public void setBigQuestionScore(Double bigQuestionScore) {
		this.bigQuestionScore = bigQuestionScore;
	}
	
}

