package com.qmth.cqb;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;

import main.java.com.UpYun;

import org.apache.commons.io.FileUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.mock.web.MockHttpServletRequest;
import org.springframework.mock.web.MockHttpServletResponse;
import org.springframework.test.context.junit4.SpringRunner;

import cn.com.qmth.examcloud.common.dto.question.QuestionDto;

import com.qmth.cqb.paper.dao.PaperRepo;
import com.qmth.cqb.paper.dto.ExportPaperInfoModel;
import com.qmth.cqb.paper.model.ExamPaper;
import com.qmth.cqb.paper.model.ExtractConfig;
import com.qmth.cqb.paper.model.Paper;
import com.qmth.cqb.paper.service.ExtractConfigService;
import com.qmth.cqb.paper.service.export.SxsfExportPaperService;

/**
 * @author  	chenken
 * @date    	2017年4月18日 下午3:32:25
 * @company 	QMTH
 * @description PaperServiceTest.java
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class ExtractConfigServiceTest {
	
	@Autowired
	private PaperRepo paperRepo;
	@Autowired
	private ExtractConfigService extractConfigService;
	@Autowired
	private SxsfExportPaperService sxsfExportPaperService;
	
	private MockHttpServletRequest request;  
    private MockHttpServletResponse response; 
	/**
	 * 测试保存调卷规则
	 * @throws Exception 
	 */
	@Test
	public void testSaveExtractConfig() throws Exception{
		/*ExtractConfig extractConfig = new ExtractConfig();
		extractConfig.setExamId(2L);
		extractConfig.setExamName("测试考试0419");
		extractConfig.setExamType("TRANDITION");
		extractConfig.setCourseCode("03013750");
		extractConfig.setCourseName("测试课程0419");
		extractConfig.setCallType("WHOLE_SET");
		extractConfig.setScrambling_the_question_order((short)1);
		extractConfig.setScrambling_the_option_order((short)1);
		//List<ExamPaper> examPaperList = buildOnlineExamPaper();
		List<ExamPaper> examPaperList = buildTraditionExamPaper();
		extractConfig.setExamPaperList(examPaperList);
		extractConfigService.saveExtractConfig(extractConfig,"机构名称");*/
	}
	
	private List<ExamPaper> buildOnlineExamPaper(){
		List<ExamPaper> examPaperList = new ArrayList<ExamPaper>();
		/*******************A类型********************/
		ExamPaper examPaper1 = new ExamPaper();
		examPaper1.setExamId(1L);
		examPaper1.setCourseCode("03013750");
		examPaper1.setGroupCode("A");
		examPaper1.setWeight(80);
		Paper paper1 = new Paper();
		paper1.setId("58f0a15258e31a0d7448d58c");
		examPaper1.setPaper(paper1);
		examPaperList.add(examPaper1);
		ExamPaper examPaper2 = new ExamPaper();
		examPaper2.setExamId(1L);
		examPaper2.setCourseCode("03013750");
		examPaper2.setGroupCode("A");
		examPaper2.setWeight(20);
		Paper paper2 = new Paper();
		paper2.setId("58f42fcd58e31a025844bfff");
		examPaper2.setPaper(paper2);
		examPaperList.add(examPaper2);
		/*******************B类型********************/
		ExamPaper examPaper3 = new ExamPaper();
		examPaper3.setExamId(1L);
		examPaper3.setCourseCode("03013750");
		examPaper3.setGroupCode("B");
		examPaper3.setWeight(60);
		Paper paper3 = new Paper();
		paper3.setId("58f4300c58e31a025844c02f");
		examPaper3.setPaper(paper3);
		examPaperList.add(examPaper3);
		ExamPaper examPaper4 = new ExamPaper();
		examPaper4.setExamId(1L);
		examPaper4.setCourseCode("03013750");
		examPaper4.setGroupCode("B");
		examPaper4.setWeight(40);
		Paper paper4 = new Paper();
		paper4.setId("e483c730-921e-4212-a67e-42235a0aec00");
		examPaper4.setPaper(paper4);
		examPaperList.add(examPaper4);
		return examPaperList;
	}
	
	private List<ExamPaper> buildTraditionExamPaper(){
		List<ExamPaper> examPaperList = new ArrayList<ExamPaper>();
		/*******************A类型********************/
		ExamPaper examPaper1 = new ExamPaper();
		examPaper1.setExamId(1L);
		examPaper1.setCourseCode("03013750");
		examPaper1.setGroupCode("A");
		examPaper1.setWeight(100);
		Paper paper1 = new Paper();
		paper1.setId("58f0a15258e31a0d7448d58c");
		examPaper1.setPaper(paper1);
		examPaperList.add(examPaper1);
		/*******************B类型********************/
		ExamPaper examPaper2 = new ExamPaper();
		examPaper2.setExamId(1L);
		examPaper2.setCourseCode("03013750");
		examPaper2.setGroupCode("B");
		examPaper2.setWeight(100);
		Paper paper2 = new Paper();
		paper1.setId("58f0a15258e31a0d7448d58c");
		examPaper1.setPaper(paper2);
		examPaperList.add(examPaper2);
		return examPaperList;
	}
	
	@Test
	public void testGetExamPaperId(){
		String courseCode = "0003";
		String orgId = "1";
		List<String> paperIds = extractConfigService.getExamPaperId(courseCode, orgId);
		System.out.println(paperIds);
	}
	
	@Test
	public void testExtract(){
		Long exam_id = 59L;
		String course_code = "012027";
		String group_code = "A";
		Map<String, Object> returnMap = extractConfigService.extract(exam_id, course_code, group_code);
		System.out.println(returnMap);
	}
	@Test
	public void testcheckIsAllQbjectiveQuestion(){
		System.out.println(extractConfigService.checkIsAllQbjectiveQuestion("5935658e90994d16dacf9fba"));
	}
	@Test
	public void testGetQuestionById(){
		String paperDetailUnitId = "591e7fe190994d4aeed29ebb";
		Map<String, Object> map = extractConfigService.getQuestionById(paperDetailUnitId);
		QuestionDto dto = (QuestionDto) map.get("quesDto");
		System.out.println(dto.getQuesAnswer());
	}
	
	
	public static void main(String[] args) {
		List<String> newList = new ArrayList<String>();
		newList.add("a");
		newList.add("b");
		newList.add("c");
		newList.add("d");
		newList.add("e");
		Collections.shuffle(newList);
		System.out.println(newList);
	}
}

